Oneport Docs
ApiV1WorkspacesSlugChangelogs

/v1/workspaces/{slug}/changelogs

POST
/v1/workspaces/{slug}/changelogs

Path Parameters

slug*string

Request Body

application/json

New changelog entry (markdown; draft unless publish=true)

TypeScript Definitions

Use the request body type in TypeScript.

title*string
slug*string
content*string
postIds?array<string>
publish?boolean

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/acme/changelogs" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "slug": "string",    "content": "string"  }'
{  "id": "string",  "title": "string",  "slug": "string",  "content": "string",  "publishedAt": "string",  "postIds": [    "string"  ],  "createdAt": "string"}
{  "error": "string"}
{  "error": "string"}